package uhk.salay.npl.demonpl.jpa.repositorys;

import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import uhk.salay.npl.demonpl.jpa.model.Entity;
import uhk.salay.npl.demonpl.jpa.model.Relation;

@Repository
public interface RelationRepository extends JpaRepository<Relation, Integer> {

  List<Relation> findRelationByEntityFrom(Entity entity);
  List<Relation> findRelationByEntityTo(Entity entity);

}
